#ifndef TICTACTOE_HPP
#define TICTACTOE_HPP

#include <vector>
#include <string>

class TicTacToe {
private:
    std::vector<std::vector<char>> board;
    char currentPlayer;
    bool isWinner();
    bool isDraw();
    void printBoard();
    void switchPlayer();
    void makeMove();

public:
    TicTacToe();
    void startGame();
};

#endif
